Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class BindingTypeHelper

    java.lang.Object
      |
      +--org.omg.CosNaming.BindingTypeHelper

public abstract class BindingTypeHelper
extends Object

Specifies whether the given binding is for a object (that is not a naming context) or for a naming context.

Constructor Summary
`BindingTypeHelper()`

Method Summary
`static BindingType` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, BindingType that)`
`static BindingType` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, BindingType value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingTypeHelper

    public BindingTypeHelper()

Method Detail

### insert

    public static void insert(Any a,
                              BindingType that)

### extract

    public static BindingType extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static BindingType read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             BindingType value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.